#
# Copyright (c) 2018 Nordic Semiconductor
#
# SPDX-License-Identifier: LicenseRef-Nordic-5-Clause
#
CONFIG_NCS_SAMPLES_DEFAULTS=y

CONFIG_BT=y
CONFIG_BT_PERIPHERAL=y
CONFIG_BT_DEVICE_NAME="Nordic_LBS"

# Enable the LBS service
CONFIG_BT_LBS=y
CONFIG_BT_LBS_POLL_BUTTON=y
CONFIG_DK_LIBRARY=y

CONFIG_SYSTEM_WORKQUEUE_STACK_SIZE=2048

# pm start
CONFIG_NCS_SAMPLE_MCUMGR_BT_OTA_DFU=y
# CONFIG_MCUMGR_TRANSPORT_BT_PERM_RW_AUTHEN=y
CONFIG_FLASH=y
CONFIG_FLASH_MAP=y
CONFIG_FLASH_PAGE_LAYOUT=y
CONFIG_FLASH_JESD216_API=y
CONFIG_PM_DEVICE=y
CONFIG_PM_DEVICE_RUNTIME=y

# pm end

CONFIG_HEAP_MEM_POOL_SIZE=8192

CONFIG_LOG=y
#CONFIG_LOG_DEFAULT_LEVEL=4
#CONFIG_LOG_MODE_DEFERRED=y
#CONFIG_LOG_SPEED=y
CONFIG_LOG_BUFFER_SIZE=8192
CONFIG_FLASH_LOG_LEVEL_DBG=y